CVE-2017-12636

HIGH

Description

CouchDB administrative users can configure the database server via HTTP(S). Some of the configuration options include paths for operating system-level binaries that are subsequently launched by CouchDB. This allows an admin user in Apache CouchDB before 1.7.0 and 2.x before 2.1.1 to execute arbitrary shell commands as the CouchDB user, including downloading and executing scripts from the public internet.

References

https://lists.apache.org/thread.html/[email protected]%3Cdev.couchdb.apache.org%3E

https://lists.debian.org/debian-lts-announce/2018/01/msg00026.html

https://security.gentoo.org/glsa/201711-16

https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbmu03935en_us

https://www.exploit-db.com/exploits/44913/

https://www.exploit-db.com/exploits/45019/

Details

Source: MITRE

Published: 2017-11-14

Updated: 2019-05-13

Type: CWE-78

Risk Information

CVSS v2.0

Base Score: 9

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8

Severity: HIGH

CVSS v3.0

Base Score: 7.2

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.2

Severity: HIGH